## mercurial 1.0.1

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	python gendoc.py > $@
 
 %: %.xml
-	xmlto man $*.xml
+	xmlto man $*.xml ; \
+	sed -e 's/^\.hg/\\\&.hg/' $* > $*~ ; \
+	mv $*~ $*
 
 %.xml: %.txt
 	asciidoc -d manpage -b docbook $*.txt
