## mercurial 1.4.1-1

=== debian/changelog ===
mercurial (1.4.1-1) stable; urgency=low

  Fixed (large) icon.

 -- Madhusudan.C.S <madhusudancs@gmail.com>  Wed, 23 Dec 2009 23:39:45 +0000
