=== debian/control ===
Source: mercurial
Section: user/development
Priority: extra
Maintainer: Madhusudan.C.S <madhusudancs@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mercurial
Architecture: all
Depends: libc6 (>= 2.4), python (<< 2.7), python (>= 2.5), python-support (>= 0.90.0), ucf (>= 2.0020), mercurial-common (= 1.3.1-1)
Description: calable distributed version control system Mercurial is a fast, lightweight Source Control Management system designed for efficient handling of very large distributed projects.
