=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mercurial" install
	mkdir -p "$(CURDIR)/debian/mercurial"

#	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/de/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/pt_BR/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/hg.mo" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/locale/it/LC_MESSAGES/hg.mo"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/coal/header.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/header.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/coal/map" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/coal/map"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/branches.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/branches.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/changeset.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/changeset.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/error.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/error.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/fileannotate.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/fileannotate.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filediff.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filediff.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelog.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelog.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelogentry.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filelogentry.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/filerevision.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/filerevision.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/footer.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/footer.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/graph.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/graph.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/header.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/header.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/index.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/index.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/manifest.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/manifest.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/map" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/map"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/notfound.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/notfound.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/search.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/search.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlog.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlog.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlogentry.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/shortlogentry.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/"
	cp -a "src/usr/lib/python2.5/site-packages/mercurial/templates/paper/tags.tmpl" "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/paper/tags.tmpl"
	mkdir -p "$(CURDIR)/debian/mercurial/usr/lib/python2.5/site-packages/mercurial/templates/"
