=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MANDIR=$(PREFIX)/share/man
 INSTALL=install -c -m 644
 PYTHON=python
-RST2HTML=$(shell which rst2html 2> /dev/null || which rst2html.py)
+RST2HTML=$(shell which rst2html 2> /dev/null || echo rst2html.py)
 
 export LC_ALL=C
