## mercurial 1.6.3

=== debian/changelog ===
mercurial (1.6.3-1) experimental; urgency=low

  * New upstream release 1.6.3
  * Deleted patch from_upstream__issue2255fix-basicauth.diff which is now
        included upstream.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 31 Aug 2010 10:12:42 +0200

mercurial (1.6.2-2) unstable; urgency=low

  * The patch that fixed #586907 was not being applied. Now it should
        work. (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 26 Aug 2010 16:31:09 +0200

mercurial (1.6.2-1) unstable; urgency=low

  * New upstream release 1.6.2
  * Dropped build-depend on quilt (Closes: #588671)
  * Added a patch from upstream that works around a bug in python 2.6.5
      (Closes: #586907)
  * Updated Standards-Version to 3.9.1.0 (no change needed)
  * Deleted patch for_upstream__add_doc_url_in_example_files.patch which
      is now in upstream.

 -- Javi Merino <cibervicho@gmail.com>  Fri, 06 Aug 2010 10:43:06 +0200

mercurial (1.6-2) unstable; urgency=low

  * Mercurial 1.6 breaks old versions of hg-git (Closes: #588336)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 07 Jul 2010 15:48:53 +0200

mercurial (1.6-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release (1.6). Many bug fixes and improvements. Among
      them:
    - push: break infinite http recursion bug with Python 2.6.5
         (issue2179 and issue2255) (Closes: #586907)
    - zeroconf: Don't use string exceptions (Closes: #585250)
  * Removed patch for_upstream__bashism_in_examples.patch since a fix for
      #581122 is included upstream.
  * Updated Standards-Version to 3.9 (no change needed)

  [ Vincent Danjean ]
  * debian/control:
    + Use Breaks instead of Conflicts
    + Use a fixed version in Replaces
      I put 1.4 but it has been a long time since nothing has been moved
      from mercurial to mercurial-common

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Jul 2010 09:55:28 +0200

mercurial (1.5.4-2) unstable; urgency=low

  * Fix regression in python 2.6.5 (Closes: #586907)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 24 Jun 2010 12:46:57 +0200

mercurial (1.5.4-1) unstable; urgency=low

  * New upstream release (1.5.3). Fixes:
    * fix Issue2181 (commit generates traceback on Nonetype)
    * various improvements to SVN conversion support
    * minor doc improvements
  * New upstream release (1.5.4) (Closes: #586322). Fixes:
    * dispatch: include Python version in traceback
    * push: update help
    * status: avoid performance regression when no .hgsub is present
    * clone: fix performance issue with hardlinks and Windows shares
    * hgweb: fix race in refreshing repo list (issue2188)
    * hgrc: clarify that hgrc keys can be overridden and sections can be split
    * eol: new extension for managing file newlines based on a version
        controlled configuration file
    * pager: fork and exec pager as parent process with /bin/sh -c
    * rebase: stress that only local changesets should be rebased
    * convert/svn: close gettags() log stream (issue2196)
    * record: check that we are not committing a merge before patch selection

 -- Javi Merino <cibervicho@gmail.com>  Wed, 16 Jun 2010 09:51:21 +0200

mercurial (1.5.2-1) unstable; urgency=low

  * New upstream release. Many minor fixes:
    + Core
      * clone: fix URL too long problem with many heads
      * commands: revised documentation of 'default' and 'default-push'
      * copies: properly visit file context ancestors on working file contexts
      * diffstat: use ui.plain() instead of ui.interactive()
      * dirstate: fix in memory dirstate entries for 1-second race
      * dispatch: don't mangle ImportError abort messages
      * filemerge: use working dir parent as ancestor for backward wdir merge
      * hgrc.5: describe form of config values and mention lists as well
      * hgweb: fix attribute error in error response (issue2060)
      * log: document the new xml style
      * merge: correctly compute the flag for noexec filesystems
      * patch: don't look for headers in diff lines
      * push: fix bug in warning message selection
      * revlog: fix lazyparser.__iter__() to return all revisions (issue2137)
      * static-http: allow clone -r (issue2164)
      * subrepo: fix repo root path handling in svn subrepo
      * subrepo: propagate and catch push failures
      * templates: document missing template variables
      * util: fix default termwidth() under Windows
      * util: use an explicit prefix for checkexec/checklink temporary files 
    + Extensions
      * convert/cvs: skip bad tags
      * convert/git: check status when reading output stream
      * convert/subversion: fix default URL checker prototype
      * mq: rewrite strip docstrings
      * mq: use util.unlink instead of os.unlink and os.removedirs
      * schemes: fix // breakage with Python 2.6.5 (issue2111) 
  * Fix "bashism in /bin/sh hgeditor script" (changing shebang line)
    (Closes: #581122)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 May 2010 11:01:25 +0200

mercurial (1.5.1-2) unstable; urgency=low

  * Refresh debian patches
  * Install localization files in the right place (Closes: #577132)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Apr 2010 06:58:38 +0200

mercurial (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Apr 2010 10:45:26 +0200

mercurial (1.5-1) unstable; urgency=low

  * New upstream release
    + Fix "Reserved revnos aren't." (Closes: #552423)
    + Fix "Exception in zeroconf shows up in unrelated commands"
      (Closes: #572963)
    + Fix "/usr/bin/hg: HG(1) missing --config option syntax"
      (Closes: #548413)
    + Fix "A -> B, C -> A rename breaks diff --git" (Closes: #560386)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 12 Mar 2010 15:10:33 +0100

mercurial (1.4.3-1) unstable; urgency=low

  * New upstream release. (Closes: #569612)
  * Updated Standards-Version to 3.8.4 (no change needed)

