=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Vernon Tang <vt@foilhead.net>,
 Javi Merino <cibervicho@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
 patchutils (>= 0.2.25), gettext,
 python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
 zip, unzip
Standards-Version: 3.9.1.0
Homepage: http://www.selenic.com/mercurial/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/

Package: mercurial-common
Architecture: all 
Depends: ${misc:Depends}, ${python:Depends}
Recommends: mercurial (= ${binary:Version})
Suggests: wish,
 python-mysqldb, 
 python-pygments,
 python-openssl
Breaks: mercurial (<< ${binary:Version})
Replaces: mercurial (<< 1.4)
Description: scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
 mercurial-common (= ${source:Version})
Suggests: qct, 
 wish, 
 vim | emacs,
 kdiff3 | tkdiff | meld | xxdiff
Breaks: mercurial-git (<< 0.2.3)
Description: scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.
