=== debian/changelog ===
mercurial (1.6.4-1+deb6u1) squeeze-lts; urgency=medium

  [Javi Merino]
  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_more_thorough_shell_quoting.patch
  * Fix "CVE-2014-9390: Errors in handling case-sensitive directories
    allow for remote code execution on pull" by adding patches
    from_upstream__encoding_add_hfsignoreclean_to_clean_out_HFS-ignored_characters.patch,
    from_upstream__pathauditor_check_for_codepoints_ignored_on_OS_X.patch,
    and
    from_upstream__pathauditor_check_for_Windows_shortname_aliases.patch

  [Guido Günther]
  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_even_more_thorough_shell_quoting.patch
  * Run tests for CVE-2014-9390 by adding patch
    from_upstream__test_CVE-2014-930.patch
  
 -- Javi Merino <vicho@debian.org>  Tue, 02 Jun 2015 20:54:24 +0100

mercurial (1.6.4-1) unstable; urgency=low

  * New upstream release 1.6.4 (Closes: #598850)
  * Verify ssl validity in https connections (Closes: #598841)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 04 Oct 2010 07:37:33 -0500
