## mercurial 1.7.5

=== debian/changelog ===
mercurial (1.7.5-1ubuntu1) natty; urgency=low

  * deb_specific__disable_libdir_replacement.patch [from 1.8.1-3]:
    Disable @LIBDIR@ replacement in the hg script, by setup.py (LP: #745250)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 31 Mar 2011 00:40:39 +0200

mercurial (1.7.5-1) unstable; urgency=low

  * New upstream release 1.7.5
  * Delete patch for_upstream__typo_in_manpage.patch which is now
    included upstream
  * Add patch for_upstream__add_backquote_fname.patch , proposed
    upstream (Closes: #611419)
  * Add patch from_upstream__fix_611420.patch which will be part of the
    next mercurial release (Closes: #611420)

 -- Javi Merino <cibervicho@gmail.com>  Sat, 05 Feb 2011 21:05:19 +0000

mercurial (1.7.3-1) experimental; urgency=low

  * New upstream release 1.7.3
  * Add patch for_upstream__typo_in_manpage

 -- Javi Merino <cibervicho@gmail.com>  Tue, 25 Jan 2011 22:22:56 +0000

mercurial (1.7.2-1) experimental; urgency=low

  * New upstream release 1.7.2 (Closes: #606678)
  * Fix typo in NEWS (Closes: #605541)
  * Delete deb_specific__python-module-not-script.patch and
        deb_specific__mergetools
  * Update dh compatibility to 8

 -- Javi Merino <cibervicho@gmail.com>  Mon, 13 Dec 2010 21:34:15 +0000
