=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Vernon Tang <vt@foilhead.net>,
  Javi Merino <cibervicho@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
  python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
  zip, unzip
 Standards-Version: 3.9.1.0
-Homepage: http://www.selenic.com/mercurial/
+Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
