=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Tests are not yet ready to be run in Debian build context
 	#$(MAKE) tests
-	chmod a+x tests/test-CVE-2014-9390
-	make test-CVE-2014-9390
 endif
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1
