=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php mercurial-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/mercurial-(.*)\.tar\.gz

# Uncommment to examine a FTP server
http://www.selenic.com/mercurial/release/mercurial-([^s].*)\.tar\.gz
