## mercurial 1.8.1

=== debian/changelog ===
mercurial (1.8.1-3) unstable; urgency=low

  * Team Upload
  * deb_specific__disable_libdir_replacement.patch: Disable @LIBDIR@
    replacement in the hg script, by setup.py (Closes: #620087, LP: #745250)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2011 00:06:02 +0200

mercurial (1.8.1-2) unstable; urgency=low

  [ Vincent Danjean ]
  * Set /etc/ssl/certs/ca-certificates.crt as default valid root
    certificates and add a recommends to the ca-certificates package
    (Closes: #619821)

  [ Javi Merino ]
  * Mercurial 1.8 breaks hg-git, add that info to debian/control
    (Closes: #619930)

 -- Javi Merino <cibervicho@gmail.com>  Mon, 28 Mar 2011 21:51:40 +0100

mercurial (1.8.1-1) unstable; urgency=low

  * New upstream release 1.8.1 backs out a behavior change for so-called
    'fast-forward' merges on named branches.

 -- Javi Merino <cibervicho@gmail.com>  Sat, 12 Mar 2011 19:01:16 +0000

mercurial (1.8-1) unstable; urgency=low

  * New upstream release 1.8. Many new features and bugfixes, among them:
    - hgk: realize it is hgk and not gitk (Closes: #613339)

 -- Javi Merino <cibervicho@gmail.com>  Sun, 06 Mar 2011 16:01:58 +0000
