## mercurial 1.8.3

=== debian/changelog ===
mercurial (1.8.3-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release 1.8.3
  * Upgrade Debian Policy to 3.9.2.0

  [ Jonathan Nieder ]
  * Make mercurial-common's Recommends field binNMU-safe (Closes: #626132)

 -- Javi Merino <cibervicho@gmail.com>  Tue, 10 May 2011 20:37:27 +0100
