=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  patchutils (>= 0.2.25), gettext,
  python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
  zip, unzip
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2.0
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
@@ -18,12 +18,12 @@
 Package: mercurial-common
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: mercurial (= ${binary:Version}), ca-certificates
+Recommends: mercurial (>= ${source:Version}), ca-certificates
 Suggests: wish,
  python-mysqldb, 
  python-pygments,
  python-openssl
-Breaks: mercurial (<< ${binary:Version})
+Breaks: mercurial (<< ${source:Version})
 Replaces: mercurial (<< 1.4)
 Description: scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
