=== debian/changelog ===
mercurial (1.9.1-1) unstable; urgency=low

  * Convert to dh_python2
  * New upstream release 1.9.1 fixes "cannot import mercurial.httpclient
    with Python 2.7: 'module' object has no attribute 'PROTOCOL_SSLv2'"
    (Closes: #635496)

 -- Javi Merino <cibervicho@gmail.com>  Wed, 03 Aug 2011 08:00:03 +0100

mercurial (1.9-1) unstable; urgency=low

  * New upstream release 1.9 (Closes: #632250)
  * Strip trailing .0 from Debian Policy
  * Remove template warnings from debian/watch to remove a lintian
    warning

 -- Javi Merino <cibervicho@gmail.com>  Fri, 22 Jul 2011 19:44:26 +0200
