=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0),
  patchutils (>= 0.2.25), gettext,
- python-support (>= 0.5.3), python-all-dev (>= 2.5.4-1~), python-docutils,
+ python-all-dev (>= 2.6.6-3~), python-docutils,
  zip, unzip
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.2
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/mercurial/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mercurial/trunk/
+X-Python-Version: >= 2.4
 
 Package: mercurial-common
 Architecture: all
