## mercurial 1.9.3

=== debian/changelog ===
mercurial (1.9.3-1) unstable; urgency=low

  * New upstream release 1.9.3.

 -- Javi Merino <cibervicho@gmail.com>  Tue, 11 Oct 2011 22:31:33 +0100

mercurial (1.9.2-1) unstable; urgency=low

  * New upstream release 1.9.2.
  * Remove old code that removed cruft from site-packages

 -- Javi Merino <cibervicho@gmail.com>  Mon, 12 Sep 2011 20:55:12 +0100

mercurial (1.9.1-2) unstable; urgency=low

  * Update breaks to include all the packages that mercurial-1.9.1-1 broke
    because of the uncoordinated transition to dh_python2.

 -- Javi Merino <cibervicho@gmail.com>  Wed, 10 Aug 2011 21:37:37 +0100
