=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python-openssl
 Breaks: mercurial (<< ${source:Version})
 Replaces: mercurial (<< 1.4)
-Description: scalable distributed version control system (common files)
+Description: easy-to-use, scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
  . 
@@ -41,8 +41,8 @@
  wish, 
  vim | emacs,
  kdiff3 | tkdiff | meld | xxdiff
-Breaks: mercurial-git (<< 0.2.6)
-Description: scalable distributed version control system
+Breaks: hgsubversion (<= 1.2.1-2), hgview (<= 1.2.1-1), mercurial-git (<< 0.2.6-2), qct (<= 1.7-1)
+Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
  .
