=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,17 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 %:
-	dh $@
+	dh $@ --with python2
 
 PYVERS=$(shell pyversions -vs)
 
 override_dh_auto_build: $(PYVERS:%=build-python%)
 	$(MAKE) -C doc man
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Tests are not yet ready to be run in Debian build context
-	#$(MAKE) tests
-endif
 	# Do not start a line with a word with a dot in a manpage
 	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1
+
+# Tests are not yet ready to be run in Debian build context
+override_dh_auto_test:
 
 build-python%: mercurial/__version__.py
 	python$* setup.py build
