## mercurial 2.0

=== debian/changelog ===
mercurial (2.0-2) unstable; urgency=low

  * Fix "Cloning fails with: mpatch.mpatchError: patch cannot be decoded"
    by not compiling bdiff.c with optimizations in armel.  This is
    probably a bug in gcc-4.6 (gcc 4.5 works fine) but while it's solved,
    at least mercurial works again in armel (Closes: #636396)

 -- Javi Merino <cibervicho@gmail.com>  Thu, 03 Nov 2011 23:00:43 +0000

mercurial (2.0-1) unstable; urgency=low

  * New upstream release 2.0
  * Don't include empty directories in the package

 -- Javi Merino <cibervicho@gmail.com>  Tue, 01 Nov 2011 22:40:40 +0000

mercurial (1.9.999+2.0rc1-1) experimental; urgency=low

  * Upstream 2.0 Release Candidate 1
  * Cover more uses of "defaults to sensible-editor" in the
    documentation and support ru and ro translations.

 -- Javi Merino <cibervicho@gmail.com>  Sun, 30 Oct 2011 13:20:38 +0000
